Name:		tint2
Version:	0.11
Release:	4%{?dist}
Summary:	A lightweight X11 desktop panel and task manager

Group:		User Interface/Desktops
License:	GPLv2
URL:		http://code.google.com/p/tint2
Source0:	http://tint2.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake gtk2-devel
BuildRequires:	pango-devel cairo-devel
BuildRequires:	libXinerama-devel imlib2-devel
BuildRequires:	libXdamage-devel libXcomposite-devel
BuildRequires:	libXrender-devel libXrandr-devel

Patch0: %{name}-add-power-now-support.patch

%description
tint2 is a simple panel/taskbar made for modern X window managers. It was
specifically made for Openbox3 but should also work with other window managers
(GNOME, KDE, etc...). It's based on ttm code http://code.google.com/p/ttm/.

%prep
%setup -q
%patch0 -p1

%build
mkdir -p build
pushd build
%{cmake} -DENABLE_EXAMPLES=ON ..
popd

%install
make install DESTDIR=%{buildroot} -C build

# Drop docdir and put examples/ in %%doc
mv %{buildroot}%{_defaultdocdir}/%{name}/examples .
rm -rf %{buildroot}%{_defaultdocdir}

# Remove tintwizard.py and package it separately
rm -rf %{buildroot}%{_bindir}/tintwizard.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL.txt README README.source examples/
%{_bindir}/%{name}
%{_bindir}/tint2conf
%config(noreplace) %{_sysconfdir}/xdg/%{name}/tint2rc
%{_datadir}/%{name}/default_icon.png
%{_datadir}/applications/tint2conf.desktop
%{_datadir}/pixmaps/tint2conf*
%{_mandir}/man1/%{name}.*

%changelog
* Wed Jun 01 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 0.11-4
- Adding tint2-add-power-now-support.patch (BZ#709821)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 20 2010 Germán A. Racca <gracca@gmail.com> 0.11-2
- Removed tintwizard.py because it was packaged separately

* Fri Jul 02 2010 German A. Racca <gracca@gmail.com> 0.11-1
- New version 0.11
- Used %%{cmake} to perform compilation
- Compiled with examples enabled
- Now really fixed BuildRequires

* Thu Apr 22 2010 German A. Racca <gracca@gmail.com> 0.9-2
- Fixed BuildRequires

* Fri Mar 26 2010 German A. Racca <gracca@gmail.com> 0.9-1
- New version 0.9

* Sat Mar 20 2010 German A. Racca <gracca@gmail.com> 0.8-2
- Rearrangement of some commands for good rpm practice
- Removed zero-length file

* Fri Jan 15 2010 German A. Racca <gracca@gmail.com> 0.8-1
- New version

* Mon Dec 21 2009 German A. Racca <gracca@gmail.com> 0.7.1-1
- Initial release of RPM package
